Bug 1129909

Summary: Dialog window for type password doesn't displays
Product: [Fedora] Fedora Reporter: Lukas Vrabec <lvrabec>
Component: kde-plasma-nmAssignee: Jan Grulich <jgrulich>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: dcbw, jgrulich, kevin, ltinkl, lvrabec, psimerda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: kde-plasma-nm-0.9.3.4-14.20140916gitf2ca6ae.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-29 03:54:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Lukas Vrabec 2014-08-13 23:35:36 UTC
Description of problem:
I'm trying to connect to Redhat VPN network, in NetworkManager choose Redhat VPN and dialog window for type user password doesn't show up. 

Version-Release number of selected component (if applicable):
NetworkManager-0.9.9.0-43.git20131003.fc20.x86_64
nm-connection-editor-0.9.9.0-10.git20140123.fc20.x86_64
kde-plasma-nm-0.9.3.4-11.201407024git38b75ec.fc20.x86_64
vpnc-0.5.3-20.svn457.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Choose VPN network in applet.
2. Dialog window for type passwd and group passwd doesn't show up.

Actual results:
I cannot connect to VPN

Expected results:
I can connect to VPN

Additional info:
logs:
Aug 14 01:22:40 Thinkpad NetworkManager[459]: <info> VPN service 'pptp' started (org.freedesktop.NetworkManager.pptp), PID 3562
Aug 14 01:22:40 Thinkpad NetworkManager[459]: <info> VPN service 'pptp' appeared; activating connections
Aug 14 01:22:40 Thinkpad NetworkManager[459]: <info> VPN plugin state changed: init (1)
Aug 14 01:22:41 Thinkpad NetworkManager[459]: <info> Starting VPN service 'vpnc'...
Aug 14 01:22:41 Thinkpad NetworkManager[459]: <info> VPN service 'vpnc' started (org.freedesktop.NetworkManager.vpnc), PID 3569
Aug 14 01:22:41 Thinkpad NetworkManager[459]: <info> VPN service 'vpnc' appeared; activating connections
Aug 14 01:22:46 Thinkpad NetworkManager[459]: <info> VPN service 'pptp' disappeared
Aug 14 01:22:47 Thinkpad NetworkManager[459]: <info> VPN service 'vpnc' disappeared

Comment 1 Lukas Vrabec 2014-08-19 12:34:07 UTC
Probably this is bug related to kde-plasma-nm.

Comment 2 Lukáš Tinkl 2014-08-20 15:11:48 UTC
Do you have kde-plasma-nm-vpnc installed?

Comment 3 Lukas Vrabec 2014-08-20 15:33:13 UTC
yes.

$ rpm -q kde-plasma-nm-vpnc 
kde-plasma-nm-vpnc-0.9.3.4-12.fc20.x86_64

Comment 4 Fedora Update System 2014-09-16 16:01:45 UTC
kde-plasma-nm-0.9.3.4-14.20140916gitf2ca6ae.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kde-plasma-nm-0.9.3.4-14.20140916gitf2ca6ae.fc20

Comment 5 Fedora Update System 2014-09-19 10:12:22 UTC
Package kde-plasma-nm-0.9.3.4-14.20140916gitf2ca6ae.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-plasma-nm-0.9.3.4-14.20140916gitf2ca6ae.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11044/kde-plasma-nm-0.9.3.4-14.20140916gitf2ca6ae.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-09-29 03:54:08 UTC
kde-plasma-nm-0.9.3.4-14.20140916gitf2ca6ae.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.